=== debian/changelog ===
valijson (0.7+repack-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Mon, 25 Jul 2022 15:14:59 -0700

valijson (0.6+repack-2) unstable; urgency=medium

  * Source-only reupload to allow the migration to testing

 -- Dima Kogan <dkogan@debian.org>  Fri, 24 Jun 2022 13:17:51 -0700

valijson (0.6+repack-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #1011398)

 -- Dima Kogan <dkogan@debian.org>  Sun, 06 Feb 2022 22:30:59 -0800
