=== debian/control ===
Source: valijson
Section: libdevel
Priority: optional
Maintainer: Dima Kogan <dkogan@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libjson11-1-dev,
               libjsoncpp-dev,
               nlohmann-json3-dev,
               picojson-dev,
               libyaml-cpp-dev,
               libpoco-dev,
               qtbase5-dev,
               rapidjson-dev,
               libgtest-dev
Standards-Version: 4.6.0
Homepage: https://github.com/tristanpenman/valijson
Vcs-Git: https://salsa.debian.org/debian/valijson.git
Vcs-Browser: https://salsa.debian.org/debian/valijson

Package: libvalijson-dev
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends},
         libjson11-1-dev,
         libjsoncpp-dev,
         nlohmann-json3-dev,
         picojson-dev,
         libyaml-cpp-dev,
         libpoco-dev,
         qtbase5-dev,
         rapidjson-dev
Description: Header-only C++ library for JSON Schema validation
 Valijson is a header-only JSON Schema validation library for C++11.
 .
 Valijson provides a simple validation API that allows you to load JSON Schemas,
 and validate documents loaded by one of several supported parser libraries.
 .
 The goal of this project is to support validation of all constraints available
 in JSON Schema v7, while being competitive with the performance of a
 hand-written schema validator.
