## valijson 1.0+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,37 +67,37 @@
 
 # jsoncpp library
 add_library(jsoncpp
-    thirdparty/jsoncpp-1.9.5/src/lib_json/json_reader.cpp
-    thirdparty/jsoncpp-1.9.5/src/lib_json/json_value.cpp
-    thirdparty/jsoncpp-1.9.5/src/lib_json/json_writer.cpp
-)
-
-target_include_directories(jsoncpp SYSTEM PRIVATE thirdparty/jsoncpp-1.9.5/include)
-set_target_properties(jsoncpp PROPERTIES ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/thirdparty/jsoncpp-1.9.5)
+    thirdparty/jsoncpp/src/lib_json/json_reader.cpp
+    thirdparty/jsoncpp/src/lib_json/json_value.cpp
+    thirdparty/jsoncpp/src/lib_json/json_writer.cpp
+)
+
+target_include_directories(jsoncpp SYSTEM PRIVATE thirdparty/jsoncpp/include)
+set_target_properties(jsoncpp PROPERTIES ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/thirdparty/jsoncpp)
 
 add_library(json11
-    thirdparty/json11-ec4e452/json11.cpp
-)
-
-target_include_directories(json11 SYSTEM PRIVATE thirdparty/json11-ec4e452)
-set_target_properties(json11 PROPERTIES ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/thirdparty/json11-ec4e452)
+    thirdparty/json11/json11.cpp
+)
+
+target_include_directories(json11 SYSTEM PRIVATE thirdparty/json11)
+set_target_properties(json11 PROPERTIES ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/thirdparty/json11)
 
 # yaml-cpp library
-file(GLOB yamlcpp_SOURCES "thirdparty/yaml-cpp-0.7.0/src/*.cpp")
+file(GLOB yamlcpp_SOURCES "thirdparty/yaml-cpp/src/*.cpp")
 add_library(yamlcpp ${yamlcpp_SOURCES})
 
-target_include_directories(yamlcpp SYSTEM PRIVATE thirdparty/yamlcpp-0.7.0/include)
-set_target_properties(yamlcpp PROPERTIES ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/thirdparty/yamlcpp-0.7.0)
+target_include_directories(yamlcpp SYSTEM PRIVATE thirdparty/yamlcpp/include)
+set_target_properties(yamlcpp PROPERTIES ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/thirdparty/yamlcpp)
 
 # Not all of these are required for examples build it doesn't hurt to include them
 include_directories(include SYSTEM
-    thirdparty/gtest-1.11.0/include
-    thirdparty/json11-ec4e452
-    thirdparty/jsoncpp-1.9.5/include
-    thirdparty/rapidjson-48fbd8c/include
-    thirdparty/picojson-1.3.0
-    thirdparty/nlohmann-json-3.1.2
-    thirdparty/yaml-cpp-0.7.0/include
+    thirdparty/googletest/include
+    thirdparty/json11
+    thirdparty/jsoncpp/include
+    thirdparty/rapidjson/include
+    thirdparty/picojson
+    thirdparty/nlohmann-json/include
+    thirdparty/yaml-cpp/include
 )
 
 if(valijson_BUILD_TESTS)
@@ -109,7 +109,7 @@
     set(gtest_force_shared_crt ON)
     option(BUILD_GMOCK FALSE)
     option(INSTALL_GTEST FALSE)
-    add_subdirectory(thirdparty/gtest-1.11.0)
+    add_subdirectory(thirdparty/googletest)
 
     set(TEST_SOURCES
         tests/test_adapter_comparison.cpp
