=== debian/changelog ===
valijson (1.0+repack-2) unstable; urgency=medium

  * Removed support for json11 (Closes: #1026372)

 -- Dima Kogan <dkogan@debian.org>  Mon, 19 Dec 2022 22:02:09 -0800

valijson (1.0+repack-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Fri, 04 Nov 2022 09:52:24 -0700

valijson (0.7+repack-2) unstable; urgency=medium

  * Source-only reupload

 -- Dima Kogan <dkogan@debian.org>  Mon, 26 Sep 2022 21:24:54 -0700
