=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

%:
	dh $@

# This is a header-only library. We only build the test suite. If we're not
# running the tests, there isn't anything to build

# >>>>>>>>>>>>>>>>>>>>>>>
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

# We're testing stuff, so I build the tests

# The boost JSON parser is in boost>=1.75, but currently debian only has 1.74.
# So I disable that
override_dh_auto_configure:
	dh_auto_configure -- \
		-Dvalijson_INSTALL_HEADERS=ON \
		-Dvalijson_EXCLUDE_BOOST=ON \
		-Dvalijson_BUILD_TESTS=ON
override_dh_auto_test:
	cd obj-$(DEB_HOST_MULTIARCH) && ./test_suite

# >>>>>>>>>>>>>>>>>>>>>>>
else
# <<<<<<<<<<<<<<<<<<<<<<<

# Not testing stuff. I don't build anything
override_dh_auto_configure:
	dh_auto_configure -- \
		-Dvalijson_INSTALL_HEADERS=ON \
		-Dvalijson_EXCLUDE_BOOST=ON \
		-Dvalijson_BUILD_TESTS=OFF

override_dh_auto_build:
	true

override_dh_auto_test:
	true
endif
# <<<<<<<<<<<<<<<<<<<<<<<


# Everything is small. Compressing creates extra work for little benefit, so I
# don't do it
override_dh_compress:
	dh_compress -X.cpp -XREADME
