## valijson 1.0.3+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.2)
+cmake_minimum_required(VERSION 3.5.1)
 project(valijson)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -124,6 +124,7 @@
         tests/test_poly_constraint.cpp
         tests/test_validation_errors.cpp
         tests/test_validator.cpp
+        tests/test_validator_with_custom_regular_expression_engine.cpp
         tests/test_yaml_cpp_adapter.cpp
     )
 
@@ -237,6 +238,10 @@
         examples/json_pointers.cpp
     )
 
+    add_executable(picojson_format_test
+        examples/picojson_format_test.cpp
+    )
+
     add_executable(remote_resolution_local_file
         examples/remote_resolution_local_file.cpp
     )
