=== debian/changelog ===
valijson (1.0.3+repack-2) unstable; urgency=medium

  * Fixed test suite failure on i386 (Closes: #1103128)

 -- Dima Kogan <dkogan@debian.org>  Thu, 24 Apr 2025 10:02:35 -0700

valijson (1.0.3+repack-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Sun, 22 Dec 2024 19:10:34 -0800

valijson (1.0+repack-3) unstable; urgency=medium

  * Build with g++-14 (Closes: #1041090)

 -- Dima Kogan <dkogan@debian.org>  Sat, 26 Aug 2023 19:55:31 -0700
