## valijson 1.0.6+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5.1)
+cmake_minimum_required(VERSION 3.10.0)
 project(valijson)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -7,20 +7,32 @@
 option(valijson_BUILD_TESTS "Build valijson test suite." FALSE)
 option(valijson_EXCLUDE_BOOST "Exclude Boost when building test suite." FALSE)
 option(valijson_USE_EXCEPTIONS "Use exceptions in valijson and included libs." TRUE)
+
+option(valijson_USE_BOOST_REGEX "Use boost::regex instead of std::regex internally." FALSE)
+mark_as_advanced(valijson_USE_BOOST_REGEX)
 
 if(MSVC)
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
 else()
     include(CheckCXXCompilerFlag)
     CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
+    CHECK_CXX_COMPILER_FLAG("-std=c++17" COMPILER_SUPPORTS_CXX17)
     if(!COMPILER_SUPPORTS_CXX11)
         message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
     endif()
+    if(!COMPILER_SUPPORTS_CXX17)
+        message(WARNING "The compiler ${CMAKE_CXX_COMPILER} has no C++17 support. Some features (including PocoJSON support) may be unavailable.")
+    endif()
 
     # Suppress boost warnings that aren't relevant to the test suite
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DBOOST_BIND_GLOBAL_PLACEHOLDERS")
 
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall")
+    if(COMPILER_SUPPORTS_CXX17)
+        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -Wall")
+    elseif(COMPILER_SUPPORTS_CXX11)
+        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall")
+    endif()
+
     SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0")
 endif()
 
@@ -36,6 +48,9 @@
 
 if(valijson_USE_EXCEPTIONS)
     target_compile_definitions(valijson INTERFACE -DVALIJSON_USE_EXCEPTIONS=1)
+endif()
+if (valijson_USE_BOOST_REGEX)
+    target_compile_definitions(valijson INTERFACE -DVALIJSON_USE_BOOST_REGEX=1)
 endif()
 
 install(DIRECTORY include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
@@ -62,7 +77,7 @@
     add_compile_definitions(VALIJSON_USE_EXCEPTIONS=0)
 endif()
 
-find_package(Poco OPTIONAL_COMPONENTS JSON)
+find_package(Poco COMPONENTS Foundation JSON)
 find_package(Qt5Core)
 
 # jsoncpp library
@@ -113,6 +128,7 @@
 
     set(TEST_SOURCES
         tests/test_adapter_comparison.cpp
+        tests/test_date_time_format.cpp
         tests/test_fetch_absolute_uri_document_callback.cpp
         tests/test_fetch_urn_document_callback.cpp
         tests/test_json_pointer.cpp
@@ -126,6 +142,7 @@
         tests/test_validator.cpp
         tests/test_validator_with_custom_regular_expression_engine.cpp
         tests/test_yaml_cpp_adapter.cpp
+        tests/test_utf8_utils.cpp
     )
 
     set(TEST_LIBS gtest gtest_main jsoncpp json11 yamlcpp)
@@ -152,9 +169,14 @@
     endif()
 
     if(Poco_FOUND)
-        include_directories(${Poco_INCLUDE_DIRS})
-        list(APPEND TEST_SOURCES tests/test_poco_json_adapter.cpp)
-        list(APPEND TEST_LIBS ${Poco_Foundation_LIBRARIES} ${Poco_JSON_LIBRARIES})
+        if(COMPILER_SUPPORTS_CXX17)
+            list(APPEND TEST_SOURCES tests/test_poco_json_adapter.cpp)
+            list(APPEND TEST_LIBS
+                Poco::Foundation
+                Poco::JSON)
+        else()
+            message(WARNING "Poco found, but the compiler ${CMAKE_CXX_COMPILER} has no C++17 support. Poco will be disabled in this build.")
+        endif()
     endif()
 
     if(Qt5Core_FOUND)
@@ -178,7 +200,10 @@
     endif()
 
     if(NOT MSVC)
-        set_target_properties(test_suite PROPERTIES COMPILE_FLAGS " -pedantic -Werror -Wshadow -Wunused")
+        set_target_properties(test_suite PROPERTIES
+            COMPILE_FLAGS " -pedantic -Werror -Wshadow -Wunused"
+            CXX_STANDARD 17
+        )
     endif()
 
     if (MSVC)
@@ -230,6 +255,10 @@
         examples/array_iteration_template_fn.cpp
     )
 
+    add_executable(check_schema
+        examples/check_schema.cpp
+    )
+
     add_executable(object_iteration
         examples/object_iteration.cpp
     )
@@ -264,6 +293,7 @@
     target_link_libraries(external_schema ${Boost_LIBRARIES})
     target_link_libraries(array_iteration_basics jsoncpp)
     target_link_libraries(array_iteration_template_fn jsoncpp)
+    target_link_libraries(check_schema jsoncpp)
     target_link_libraries(object_iteration jsoncpp)
     target_link_libraries(json_pointers)
 endif()
