=== debian/changelog ===
valijson (1.0.6+repack-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #1114430, #1113609)
  * Drop Expat license for JSON-Schema-Test-Suite

 -- Bastian Germann <bage@debian.org>  Tue, 16 Sep 2025 22:21:34 +0200
