=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Dima Kogan <dkogan@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libjson11-1-dev,
                libjsoncpp-dev,
                nlohmann-json3-dev,
                picojson-dev,
@@ -12,7 +11,8 @@
                libpoco-dev,
                qtbase5-dev,
                rapidjson-dev,
-               libgtest-dev
+               libgtest-dev,
+               json-schema-test-suite
 Standards-Version: 4.6.0
 Homepage: https://github.com/tristanpenman/valijson
 Vcs-Git: https://salsa.debian.org/debian/valijson.git
@@ -21,7 +21,6 @@
 Package: libvalijson-dev
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends},
-         libjson11-1-dev,
          libjsoncpp-dev,
          nlohmann-json3-dev,
          picojson-dev,
