=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 		-Dvalijson_EXCLUDE_BOOST=ON \
 		-Dvalijson_BUILD_TESTS=ON
 override_dh_auto_test:
-	cd obj-$(DEB_HOST_MULTIARCH) && ./test_suite
+	cd obj-$(DEB_HOST_GNU_TYPE) && ./test_suite
 
 # >>>>>>>>>>>>>>>>>>>>>>>
 else
