=== debian/watch ===
version=4
opts=\
repacksuffix=+repack,\
dversionmangle=s/\+repack//g,\
repack,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/valijson-$1\.tar\.gz/ \
 https://github.com/tristanpenman/valijson/tags .*/v(\d\S+)\.tar\.gz
